#ifndef CHECKBOXSELECTION_H
#define CHECKBOXSELECTION_H

#include <QtWidgets>
#include <QtGui>
#include "checkbox.h"
class CheckBoxSelection : public QWidget
{
  Q_OBJECT
  private:
    QList< int > ids;
    QList< CheckBox* > cb;
  public:
    explicit CheckBoxSelection( QWidget *parent = 0 );
    void setValues( QList< int > ids, QList< QString > btnTexts, QList< int > checkedIds );
    QList< int > getCheckedIds( void );
  signals:
    void somethingChanged( void );
    void somethingChanged( QList< int > );
  public slots:
    void somethingChangedSlot( void );
};

#endif // CHECKBOXSELECTION_H
